Skip to main content
GET
/
token
/
activity
Get Wallet Last Active
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/token/activity \
  --header 'X-API-KEY: <api-key>'
{
  "tokens": [
    {
      "name": "eth-mainnet",
      "chainId": "1",
      "lastSeen": "2024-01-27T11:56:16Z",
      "logo": ""
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

walletAddress
string
default:0x8D97689C9818892B700e27F316cc3E41e17fBeb9
required

The address of the wallet to query.

Example:

"0x8D97689C9818892B700e27F316cc3E41e17fBeb9"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
GoldRush

Response

200 - application/json
tokens
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="